VERSION 5.00
Begin VB.Form frmTheme 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1695
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3375
   Icon            =   "Theme.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1695
   ScaleWidth      =   3375
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdNext 
      Default         =   -1  'True
      Height          =   375
      Left            =   2280
      TabIndex        =   3
      Top             =   1200
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1200
      TabIndex        =   2
      Top             =   1200
      Width           =   975
   End
   Begin VB.CommandButton cmdBack 
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1200
      Width           =   975
   End
   Begin VB.Frame frmNewLayout 
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   3135
      Begin VB.PictureBox pic 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   375
         Index           =   0
         Left            =   120
         ScaleHeight     =   375
         ScaleWidth      =   2985
         TabIndex        =   6
         Top             =   240
         Width           =   2985
         Begin VB.OptionButton optNewLayout 
            Height          =   375
            Index           =   0
            Left            =   0
            TabIndex        =   4
            Top             =   0
            Value           =   -1  'True
            Width           =   2985
         End
      End
      Begin VB.Label lblEx 
         AutoSize        =   -1  'True
         Height          =   195
         Index           =   0
         Left            =   2640
         TabIndex        =   7
         Top             =   660
         Visible         =   0   'False
         Width           =   45
      End
   End
   Begin VB.Label lblLayout 
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   3135
   End
End
Attribute VB_Name = "frmTheme"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*************************************
'* Private declarations & constants: *
'*************************************

'Hand cursor declarations:
Private Declare Function SetCursor Lib "user32" (ByVal hCursor As Long) As Long
Private Declare Function LoadCursor Lib "user32" Alias "LoadCursorA" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long

'Hand cursor constant:
Private Const HandCursor = 32649&

Private iThemes     As Integer
Private arrThemes() As String

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = GetFromINI("frmTheme", "Me.Caption")
  lblLayout.Caption = GetFromINI("frmTheme", "lblLayout.Caption")
  optNewLayout(0).Caption = GetFromINI("frmTheme", "optNewLayout(0).Caption")
  cmdBack.Caption = GetFromINI("frmTheme", "cmdBack.Caption")
  cmdCancel.Caption = GetFromINI("frmTheme", "cmdCancel.Caption")
  cmdNext.Caption = GetFromINI("frmTheme", "cmdNext.Caption")
  
  Dim fso  As New FileSystemObject
  Dim fld  As Folder
  Dim i    As Integer
  Dim sCap As String
  Dim sTTT As String
  
  sCap = GetFromINI("frmTheme", "lblEx.Caption")
  sTTT = GetFromINI("frmTheme", "lblEx.ToolTipText")
  
  For Each fld In fso.GetFolder(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP).SubFolders
  
    If fso.FileExists(fld.Path & "\" & LAYOUTS_FILE) Then
    
      iThemes = iThemes + 1
      ReDim Preserve arrThemes(iThemes)
      arrThemes(iThemes) = fld.Name
      
    End If
    
  Next
  
  Quicksort arrThemes, 1, UBound(arrThemes)
  
  For i = 1 To iThemes
  
    Load pic(i)
    
    If i > 1 Then
    
      MoveObject pic(i), pic(i - 1).Left, pic(i - 1).Top + 360, pic(i - 1).Width, pic(i - 1).Height
      
    Else
    
      MoveObject pic(i), pic(i - 1).Left, pic(i - 1).Top + 360, pic(i - 1).Width - 480, pic(i - 1).Height
      
    End If
    
    Load optNewLayout(i)
    Set optNewLayout(i).Container = pic(i)
    MoveObject optNewLayout(i), optNewLayout(i - 1).Left, optNewLayout(i - 1).Top, optNewLayout(i - 1).Width, optNewLayout(i - 1).Height
    
    If DOMLoad(oDOMStyles, App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP & arrThemes(i) & "\" & LAYOUTS_FILE) Then
    
      optNewLayout(i).Caption = oDOMStyles.documentElement.getAttribute(UCase(sLanguage))
      
    End If
    
    If i > 1 Then
    
      Load lblEx(i - 1)
      MoveObject lblEx(i - 1), lblEx(i - 2).Left, lblEx(i - 2).Top + 360, lblEx(i - 2).Width, lblEx(i - 2).Height
      
    End If
    
    lblEx(i - 1).Caption = sCap
    lblEx(i - 1).ToolTipText = sTTT
    lblEx(i - 1).ForeColor = vbBlue
    lblEx(i - 1).FontBold = True
    lblEx(i - 1).FontUnderline = True
    optNewLayout(i).Visible = True
    lblEx(i - 1).Visible = True
    pic(i).Visible = True
    frmNewLayout.Height = frmNewLayout.Height + 360
    cmdBack.Top = cmdBack.Top + 360
    cmdCancel.Top = cmdBack.Top
    cmdNext.Top = cmdBack.Top
    Me.Height = Me.Height + 360
    
  Next
  
  Set fso = Nothing
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Form_Activate()

  On Error GoTo Error_Handler
  
  Dim i As Integer
  
  For i = 1 To UBound(arrThemes)
  
    If arrThemes(i) = "Valentine" Then
    
      If sPageType = "PLACE" Or InStr(sPageType, "POSTER") Or InStr(sPageType, "CRD") Or sPageType = "KAL" Then
      
        optNewLayout(i).Enabled = True
        lblEx(i - 1).Enabled = True
        
      Else
      
        optNewLayout(i).Enabled = False
        lblEx(i - 1).Enabled = False
        
      End If
      
      Exit For
      
    End If
    
  Next
  
  optNewLayout(0).Value = True
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:Form_Activate", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdBack_Click()

  On Error GoTo Error_Handler
  Me.Hide
  On Error Resume Next
  
  If sPageType = "PLACE" Then
  
    frmNew1.Show vbModal
    
  ElseIf InStr(sPageType, "POSTER") Then
  
    frmNew2POSTER.Show vbModal
    
  ElseIf InStr(sPageType, "CRD") Then
  
    frmNew2CRD.Show vbModal
    
  ElseIf sPageType = "KAL" Then
  
    frmNew2KAL.Show vbModal
    
  Else
  
    frmNew4A.Show vbModal
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:cmdBack_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdNext_Click()

  On Error GoTo Error_Handler
  Me.Hide
  
  If optNewLayout(0).Value Then
  
    sTheme = vbNullString
    bScrap = False
    
  Else
  
    Dim i As Integer
    
    For i = 1 To optNewLayout.Count - 1
    
      If optNewLayout.Item(i).Value Then Exit For
      
    Next
    
    sTheme = arrThemes(i)
    bScrap = True
    
  End If
  
  If bScrap Then
  
    If sPageType = "POSTERP" Then
    
      sTheme = sTheme & "_Poster"
      
    ElseIf sPageType = "PLACE" Or sPageType = "POSTER" Then
    
      sTheme = sTheme & "_Place"
      
    ElseIf InStr(sPageType, "CRD") Then
    
      sTheme = sTheme & "_" & sPageType
      
    ElseIf sPageType = "KAL" Then
    
      sTheme = sTheme & "_" & sPageType
      
    ElseIf InStr(sNewSize, "LUX") Then
    
      sTheme = sTheme & "_Square"
      
    Else
    
      sTheme = sTheme & "_A3"
      
    End If
    
  End If
  
  CreateAlbum sNewName
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:cmdNext_Click", Erl
  Resume Next
  
End Sub

'**********
'* Label: *
'**********

Private Sub lblEx_Click(Index As Integer)

  On Error GoTo Error_Handler
  sTheme = arrThemes(Index + 1)
  
  If sPageType = "POSTERP" Then
  
    sTheme = sTheme & "_Poster"
    
  ElseIf sPageType = "PLACE" Or sPageType = "POSTER" Then
  
    sTheme = sTheme & "_Place"
    
  ElseIf InStr(sPageType, "CRD") Then
  
    sTheme = sTheme & "_" & sPageType
    
  ElseIf sPageType = "KAL" Then
  
    sTheme = sTheme & "_" & sPageType
    
  ElseIf InStr(sNewSize, "LUX") Then
  
    sTheme = sTheme & "_Square"
    
  Else
  
    sTheme = sTheme & "_A3"
    
  End If
  
  sThemeCaption = optNewLayout(Index + 1).Caption
  frmPreview.Show vbModal
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:lblEx_Click", Erl
  Resume Next
  
End Sub

Private Sub lblEx_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)

  Dim lHdl As Long
  
  On Error GoTo Error_Handler
  lHdl = LoadCursor(0, HandCursor)
  If (lHdl > 0) Then SetCursor lHdl
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:lblEx_MouseMove", Erl
  Resume Next
  
End Sub

'*****************
'* OptionButton: *
'*****************

Private Sub optNewLayout_Click(Index As Integer)

  On Error GoTo Error_Handler
  
  Dim i As Integer
  
  For i = 0 To optNewLayout.Count - 1
  
    If (optNewLayout.Item(i).Value And i <> Index) Then optNewLayout.Item(i).Value = False
    
  Next
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTheme:optNewLayout_Click", Erl
  Resume Next
  
End Sub
